light-mode-image
Learn
API ReferenceSemantic CWT credentials

Format a Semantic CWT credential as a QR code

Roles

adminissuermanaged-issuer

Analytics Events

CREDENTIAL_COMPACT_SEMANTIC_QRCODE_CREATE_STARTCREDENTIAL_COMPACT_SEMANTIC_QRCODE_CREATE_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_QRCODE_CREATE_FAIL
POST/v2/credentials/compact-semantic/qrcode

Returns a QR code representation of a Semantic CWT credential from a provided encoded string representation of that credential.

Analytic events

  • CREDENTIAL_COMPACT_SEMANTIC_QRCODE_CREATE_START
  • CREDENTIAL_COMPACT_SEMANTIC_QRCODE_CREATE_SUCCESS
  • CREDENTIAL_COMPACT_SEMANTIC_QRCODE_CREATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

image/png

application/json

curl -X POST "https://example.com/v2/credentials/compact-semantic/qrcode" \  -H "Content-Type: application/json" \  -d '{    "payload": "string"  }'
"string"

How would you rate this page?